%define upstream_name Horde_History
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.0
Release:     	%mkrel 2
Summary:    	API for tracking the history of an object
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Db <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Db = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_History = %{version}
Obsoletes:	horde-history

%description
The Horde_History API provides a way to track changes on arbitrary pieces
of data in Horde applications.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_History.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_History.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_History
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/History.php
%{peardir}/Horde/History/Exception.php
%{peardir}/Horde/History/Log.php
%{peardir}/Horde/History/Mock.php
%{peardir}/Horde/History/Sql.php
%{peardir}/data/Horde_History/migration/1_horde_history_base_tables.php
%{peardir}/data/Horde_History/migration/2_horde_history_upgrade_autoincrement.php
%{peardir}/tests/Horde_History/Horde/History/AllTests.php
%{peardir}/tests/Horde_History/Horde/History/Autoload.php
%{peardir}/tests/Horde_History/Horde/History/InterfaceTest.php
%{peardir}/tests/Horde_History/Horde/History/phpunit.xml
%{xmldir}/Horde_History.xml


%changelog
* Sun Aug 07 2011 spuhler <spuhler> 1.0.0-2.mga2
+ Revision: 132132
- changed Provides: php-pear-Horde_History to php-pear-Horde_History = %%{version}
- imported package php-pear-Horde_History

